Data Structures | Functions | Variables

# string.c File Reference

`#include "wizard/studio.h"`
`#include "wizard/blob.h"`
`#include "wizard/cipher.h"`
`#include "wizard/crc64.h"`
`#include "wizard/exception.h"`
`#include "wizard/exception-private.h"`
`#include "wizard/memory_.h"`
`#include "wizard/string_.h"`

## Data Structures
struct | _StringInfo
## Functions
WizardExport char * | AcquireString (const char *source)
WizardExport StringInfo * | AcquireStringInfo (const size_t length)
WizardExport char * | CloneString (char **destination, const char *source)
WizardExport StringInfo * | CloneStringInfo (const StringInfo *string_info)
static size_t | WizardMin (const size_t x, const size_t y)
WizardExport int | CompareStringInfo (const StringInfo *target, const StringInfo *source)
WizardExport WizardBooleanType | ConcatenateString (char **destination, const char *source)
WizardExport size_t | ConcatenateWizardString (char *destination, const char *source, const size_t length)
WizardExport StringInfo * | ConfigureFileToStringInfo (const char *filename)
WizardExport char * | ConstantString (const char *source)
WizardExport void | ConcatenateStringInfo (StringInfo *string_info, const StringInfo *source)
WizardExport size_t | CopyWizardString (char *destination, const char *source, const size_t length)
WizardExport char * | DestroyString (char *string)
WizardExport StringInfo * | DestroyStringInfo (StringInfo *string_info)
WizardExport char ** | DestroyStringList (char **list)
WizardExport char * | FileToString (const char *filename, const size_t extent, ExceptionInfo *exception)
WizardExport StringInfo * | FileToStringInfo (const char *filename, const size_t extent, ExceptionInfo *exception)
WizardExport ssize_t | FormatWizardSize (const WizardSizeType size, const WizardBooleanType bi, char *format)
WizardExport ssize_t | FormatWizardStringList (char *string, const size_t length, const char *format, va_list operands)
WizardExport ssize_t | FormatWizardString (char *string, const size_t length, const char *format,...)
WizardExport ssize_t | FormatWizardTime (const time_t time, const size_t length, char *timestamp)
WizardExport char * | GetEnvironmentValue (const char *name)
WizardExport WizardSizeType | GetStringInfoCRC (const StringInfo *string_info)
WizardExport unsigned char * | GetStringInfoDatum (const StringInfo *string_info)
WizardExport size_t | GetStringInfoLength (const StringInfo *string_info)
WizardExport const char * | GetStringInfoPath (const StringInfo *string_info)
WizardExport StringInfo * | HexStringToStringInfo (const char *string)
WizardExport int | LocaleCompare (const char *p, const char *q)
WizardExport void | LocaleLower (char *string)
WizardExport int | LocaleNCompare (const char *p, const char *q, const size_t length)
WizardExport ssize_t | PrintWizardString (FILE *file, const char *format,...)
WizardExport void | PrintStringInfo (FILE *file, const char *id, const StringInfo *string_info)
WizardExport void | ResetStringInfo (StringInfo *string_info)
WizardExport void | SetStringInfo (StringInfo *string_info, const StringInfo *source)
WizardExport void | SetStringInfoDatum (StringInfo *string_info, const unsigned char *source)
WizardExport void | SetStringInfoLength (StringInfo *string_info, const size_t length)
WizardExport void | SetStringInfoPath (StringInfo *string_info, const char *path)
WizardExport StringInfo * | SplitStringInfo (StringInfo *string_info, const size_t offset)
WizardExport char * | StringInfoToHexString (const StringInfo *string_info)
WizardExport char * | StringInfoToString (const StringInfo *string_info)
WizardExport char ** | StringToArgv (const char *text, int *argc)
WizardExport StringInfo * | StringToStringInfo (const char *string)
WizardExport void | StripString (char *message)
WizardExport WizardBooleanType | SubstituteString (char **string, const char *search, const char *replace)
## Variables
static const unsigned char | AsciiMap []

## Function Documentation

WizardExport char* AcquireString | ( | const char * | source | ) |

References AcquireQuantumMemory(), WizardPathExtent, ResourceFatalError, and ThrowFatalException.

Referenced by AcquireFileInfo(), AcquireFileLock(), CanonicalXMLContent(), CloneString(), ConcatenateString(), EncodePredefinedEntities(), GenerateEntropicChaos(), GetConfigurePaths(), GetWizardOptions(), LoadLogList(), LoadMimeList(), PrintKeyringProperties(), RelinquishFileLock(), TranslateEvent(), TranslateFilename(), and XMLTreeInfoToXML().

WizardExport StringInfo* AcquireStringInfo | ( | const size_t | length | ) |

References AcquireQuantumMemory(), AcquireWizardMemory(), _StringInfo::datum, _StringInfo::length, MaxCipherBlocksize, ResetWizardMemory(), ResourceFatalError, _StringInfo::signature, ThrowFatalException, and _StringInfo::timestamp.

Referenced by AcquireAESInfo(), AcquireBZIPInfo(), AcquireCRC64Info(), AcquireHashInfo(), AcquireHMACInfo(), AcquireLZMAInfo(), AcquireMD5Info(), AcquireRandomInfo(), AcquireSHA1Info(), AcquireSHA224Info(), AcquireSHA256Info(), AcquireSHA384Info(), AcquireSHA512Info(), AcquireZIPInfo(), CloneStringInfo(), ConfigureFileToStringInfo(), ExportKeyringKey(), FileToStringInfo(), FinalizeMD5(), GenerateCipherNonce(), GenerateEntropicChaos(), GetEntropyFromReservoir(), GetPassphrase(), GetRandomKey(), GetWizardMagick(), HexStringToStringInfo(), PrintKeyringProperties(), SplitStringInfo(), and StringToStringInfo().

WizardExport char* CloneString | ( | char ** | destination,
|  | const char * | source |
| ) |  |  |

References AcquireString(), GetWizardModule, LogWizardEvent(), WizardPathExtent, RelinquishWizardMemory(), ResizeQuantumMemory(), ResourceFatalError, StringDomain, ThrowFatalException, TraceEvent, and WizardAssert.

Referenced by SetKeyringPath().

WizardExport StringInfo* CloneStringInfo | ( | const StringInfo * | string_info | ) |

References AcquireStringInfo(), _StringInfo::datum, GetWizardModule, _StringInfo::length, LogWizardEvent(), MaxCipherBlocksize, _StringInfo::signature, StringDomain, TraceEvent, WizardAssert, and WizardSignature.

Referenced by AuthenticateSecretKey(), ExportKeyringKey(), GenerateSecretKey(), GenerateSessionKey(), GetEntropyFromReservoir(), GetKeyInfo(), GetWizardMagick(), PrintKeyringProperties(), SetKeyInfo(), SetKeyringId(), SetKeyringKey(), SetKeyringNonce(), and SetSecretId().

WizardExport int CompareStringInfo | ( | const StringInfo * | target,
|  | const StringInfo * | source |
| ) |  |  |

References _StringInfo::datum, GetWizardModule, _StringInfo::length, LogWizardEvent(), _StringInfo::signature, StringDomain, TraceEvent, WizardAssert, WizardMin(), and WizardSignature.

Referenced by AuthenticateSecretKey(), CompareHashmapStringInfo(), CompareSplayTreeStringInfo(), ExportKeyringKey(), GetEntropyFromReservoir(), GetPassphrase(), and PrintKeyringProperties().

WizardExport WizardBooleanType ConcatenateString | ( | char ** | destination,
|  | const char * | source |
| ) |  |  |

References AcquireString(), WizardPathExtent, ResizeQuantumMemory(), ResourceFatalError, ThrowFatalException, and WizardTrue.

Referenced by CanonicalXMLContent(), ParseCharacterContent(), and PrintKeyringProperties().

WizardExport void ConcatenateStringInfo | ( | StringInfo * | string_info,
|  | const StringInfo * | source |
| ) |  |  |

References _StringInfo::datum, GetWizardModule, _StringInfo::length, LogWizardEvent(), ResourceFatalError, SetStringInfoLength(), _StringInfo::signature, StringDomain, ThrowFatalException, TraceEvent, WizardAssert, and WizardSignature.

Referenced by GenerateEntropicChaos().

WizardExport size_t ConcatenateWizardString | ( | char * | destination,
|  | const char * | source,
|  | const size_t | length |
| ) |  |  |

Referenced by AcquireFileInfo(), AppendFileExtension(), GetConfigurePaths(), GetExecutionPath(), LoadConfigureList(), LoadLogList(), and LoadMimeList().

WizardExport StringInfo* ConfigureFileToStringInfo | ( | const char * | filename | ) |

References AcquireQuantumMemory(), AcquireStringInfo(), close, CopyWizardString(), _StringInfo::datum, _StringInfo::length, MapBlob(), MaxCipherBlocksize, WizardPathExtent, O_BINARY, open, _StringInfo::path, read, ReadMode, RelinquishWizardMemory(), SSIZE_MAX, StringDomain, UnmapBlob(), WizardAssert, WizardMin(), and WizardSeek.

Referenced by GetConfigureOptions().

WizardExport char* ConstantString | ( | const char * | source | ) |

References AcquireQuantumMemory(), ResourceFatalError, and ThrowFatalException.

Referenced by AcquireKeyringInfo(), AcquireUniqueFileResource(), AddChildToXMLTree(), GetConfigureList(), GetConfigurePaths(), GetEnvironmentValue(), GetExceptionMessage(), GetLogList(), GetMimeList(), GetPathTemplate(), GetXMLTreeAttributes(), LoadConfigureList(), LoadLogList(), LoadLogLists(), LoadMimeList(), NewXMLTree(), NewXMLTreeTag(), ParseEntities(), ParseInternalDoctype(), ParseOpenTag(), ParseProcessingInstructions(), SetLogFormat(), SetSecretPassphrase(), SetXMLTreeAttribute(), SetXMLTreeContent(), ThrowException(), and WizardToMime().

WizardExport size_t CopyWizardString | ( | char * | destination,
|  | const char * | source,
|  | const size_t | length |
| ) |  |  |

Referenced by AcquireFileInfo(), AppendFileExtension(), ConfigureFileToStringInfo(), FileToStringInfo(), GetConfigureOptions(), GetConfigurePaths(), GetExceptionMessage(), GetExecutionPath(), GetPathComponent(), GetPathComponents(), GetPathTemplate(), GetWizardToken(), ListWizardResourceInfo(), LoadConfigureLists(), LoadLogList(), LoadMimeList(), OpenBlob(), ParseEntities(), ParseProcessingInstructions(), ParseWizardOption(), SetClientName(), SetClientPath(), SetLogName(), SetStringInfoPath(), TranslateEvent(), TranslateFilename(), and WizardsToolkitGenesis().

WizardExport char* DestroyString | ( | char * | string | ) |

References RelinquishWizardMemory().

Referenced by AcquireFileLock(), AddPathToXMLTree(), CanonicalXMLContent(), DestroyFileInfo(), DestroyKeyringInfo(), DestroyLogElement(), DestroyMimeElement(), DestroyStringList(), DestroyTemporaryResources(), DestroyXMLTree(), DestroyXMLTreeAttributes(), EncodePredefinedEntities(), GenerateEntropicChaos(), GetXMLTreePath(), ImportKeyringKey(), LoadLogList(), LoadMimeList(), NewXMLTree(), ParseCharacterContent(), ParseInternalDoctype(), PrintKeyringProperties(), RelinquishFileLock(), ResourceComponentGenesis(), SetLogFormat(), SetSecretPassphrase(), SetXMLTreeAttribute(), and SetXMLTreeContent().

WizardExport StringInfo* DestroyStringInfo | ( | StringInfo * | string_info | ) |

References _StringInfo::datum, GetWizardModule, LogWizardEvent(), RelinquishWizardMemory(), _StringInfo::signature, StringDomain, TraceEvent, WizardAssert, and WizardSignature.

Referenced by AcquireCipherInfo(), AcquireRandomInfo(), AcquireUniqueFileResource(), AuthenticateSecretKey(), DestroyAESInfo(), DestroyBZIPInfo(), DestroyCipherInfo(), DestroyCRC64Info(), DestroyHashInfo(), DestroyHMACInfo(), DestroyKeyInfo(), DestroyKeyringInfo(), DestroyLZMAInfo(), DestroyMD5Info(), DestroyNode(), DestroyOptions(), DestroyRandomInfo(), DestroySecretInfo(), DestroySHA1Info(), DestroySHA224Info(), DestroySHA256Info(), DestroySHA384Info(), DestroySHA512Info(), DestroyZIPInfo(), ExportKeyringKey(), FileToStringInfo(), FinalizeMD5(), GenerateEntropicChaos(), GenerateSecretKey(), GenerateSessionKey(), GetEntropyFromReservoir(), GetPassphrase(), GetWizardMagick(), ImportKeyringKey(), PrintKeyringProperties(), SaveEntropyToReservoir(), SetKeyringId(), SetKeyringKey(), SetKeyringNonce(), and SetSecretId().

WizardExport char** DestroyStringList | ( | char ** | list | ) |

References DestroyString(), and RelinquishWizardMemory().

WizardExport char* FileToString | ( | const char * | filename,
|  | const size_t | extent,
|  | ExceptionInfo * | exception |
| ) |  |  |

References FileToBlob(), GetWizardModule, LogWizardEvent(), StringDomain, TraceEvent, and WizardAssert.

Referenced by LoadConfigureList(), LoadLogList(), and LoadMimeList().

WizardExport StringInfo* FileToStringInfo | ( | const char * | filename,
|  | const size_t | extent,
|  | ExceptionInfo * | exception |
| ) |  |  |

References AcquireStringInfo(), CopyWizardString(), _StringInfo::datum, DestroyStringInfo(), FileToBlob(), GetWizardModule, _StringInfo::length, LogWizardEvent(), WizardPathExtent, _StringInfo::path, StringDomain, TraceEvent, and WizardAssert.

Referenced by AuthenticateSecretKey(), and GenerateSecretKey().

WizardExport ssize_t FormatWizardSize | ( | const WizardSizeType | size,
|  | const WizardBooleanType | bi,
|  | char * | format |
| ) |  |  |

References FormatWizardString(), WizardPathExtent, and WizardFalse.

Referenced by AcquireWizardResource(), ListLogInfo(), ListWizardResourceInfo(), and RelinquishWizardResource().

WizardExport ssize_t FormatWizardString | ( | char * | string,
|  | const size_t | length,
|  | const char * | format,
|  |  | ... |
| ) |  |  |

References FormatWizardStringList().

Referenced by CanonicalXMLContent(), EncodePredefinedEntities(), FormatWizardSize(), FormatWizardTime(), GetConfigureOptions(), GetConfigurePaths(), GetExecutionPath(), GetHashHexDigest(), GetLocaleExceptionMessage(), GetPassphrase(), GetPathTemplate(), PrintKeyringProperties(), ThrowWizardExceptionList(), TranslateEvent(), TranslateFilename(), WizardToMime(), XMLTreeInfoToXML(), and XMLTreeTagToXML().

WizardExport ssize_t FormatWizardStringList | ( | char * | string,
|  | const size_t | length,
|  | const char * | format,
|  | va_list | operands |
| ) |  |  |

References vsnprintf.

Referenced by FormatWizardString(), and PrintWizardString().

WizardExport ssize_t FormatWizardTime | ( | const time_t | time,
|  | const size_t | length,
|  | char * | timestamp |
| ) |  |  |

References FormatWizardString().

Referenced by PrintKeyringProperties(), and TranslateEvent().

WizardExport char* GetEnvironmentValue | ( | const char * | name | ) |

References ConstantString().

Referenced by AcquireFileInfo(), GetConfigurePaths(), GetPathTemplate(), ResourceComponentGenesis(), and WizardsToolkitGenesis().

WizardExport WizardSizeType GetStringInfoCRC | ( | const StringInfo * | string_info | ) |

References AcquireCRC64Info(), DestroyCRC64Info(), FinalizeCRC64(), GetCRC64CyclicRedundancyCheck(), GetWizardModule, InitializeCRC64(), LogWizardEvent(), _StringInfo::signature, StringDomain, TraceEvent, UpdateCRC64(), WizardAssert, and WizardSignature.

Referenced by GenerateEntropicChaos(), GetEntropyFromReservoir(), and SaveEntropyToReservoir().

WizardExport unsigned char* GetStringInfoDatum | ( | const StringInfo * | string_info | ) |

References _StringInfo::datum, _StringInfo::signature, StringDomain, WizardAssert, and WizardSignature.

Referenced by AcquireRandomInfo(), AcquireUniqueFileResource(), DecipherCBCMode(), DecipherCFBMode(), DecipherCTRMode(), DecipherECBMode(), DecipherOFBMode(), EncipherCBCMode(), EncipherCFBMode(), EncipherCTRMode(), EncipherECBMode(), EncipherOFBMode(), ExportKeyringKey(), FinalizeCRC64(), FinalizeMD5(), FinalizeSHA1(), FinalizeSHA224(), FinalizeSHA256(), FinalizeSHA384(), FinalizeSHA512(), GenerateCipherNonce(), GenerateEntropicChaos(), GetEntropyFromReservoir(), GetHashHexDigest(), GetPhrase(), GetRandomKey(), HashStringInfoType(), HashStringType(), ImportKeyringKey(), IncreaseBZIP(), IncreaseLZMA(), IncreaseZIP(), IncrementRandomNonce(), InitializeHMAC(), LoadConfigureLists(), LoadLogLists(), LoadMimeLists(), PrintKeyringProperties(), RestoreBZIP(), RestoreLZMA(), RestoreZIP(), SaveEntropyToReservoir(), SetAESKey(), SetRandomKey(), SetSerpentKey(), SetTwofishKey(), TransformSHA1(), TransformSHA224(), TransformSHA256(), TransformSHA384(), TransformSHA512(), UpdateCRC64(), UpdateMD5(), UpdateSHA1(), UpdateSHA224(), UpdateSHA256(), UpdateSHA384(), and UpdateSHA512().

WizardExport size_t GetStringInfoLength | ( | const StringInfo * | string_info | ) |

References _StringInfo::length, _StringInfo::signature, StringDomain, WizardAssert, and WizardSignature.

Referenced by AcquireRandomInfo(), AcquireUniqueFileResource(), DecipherCBCMode(), DecipherCFBMode(), DecipherCTRMode(), DecipherECBMode(), DecipherOFBMode(), EncipherCBCMode(), EncipherCFBMode(), EncipherCTRMode(), EncipherECBMode(), EncipherOFBMode(), ExportKeyringKey(), FinalizeMD5(), FinalizeSHA1(), FinalizeSHA224(), FinalizeSHA256(), FinalizeSHA384(), FinalizeSHA512(), GenerateEntropicChaos(), GetEntropyFromReservoir(), GetPassphrase(), GetPhrase(), HashStringInfoType(), HashStringType(), ImportKeyringKey(), IncreaseBZIP(), IncreaseLZMA(), IncreaseZIP(), IncrementRandomNonce(), InitializeHMAC(), PrintKeyringProperties(), RestoreBZIP(), RestoreLZMA(), RestoreZIP(), SaveEntropyToReservoir(), SetAESKey(), SetSerpentKey(), SetTwofishKey(), UpdateCRC64(), UpdateMD5(), UpdateSHA1(), UpdateSHA224(), UpdateSHA256(), UpdateSHA384(), and UpdateSHA512().

WizardExport const char* GetStringInfoPath | ( | const StringInfo * | string_info | ) |

References _StringInfo::path, _StringInfo::signature, StringDomain, WizardAssert, and WizardSignature.

Referenced by LoadConfigureLists(), LoadLogLists(), and LoadMimeLists().

WizardExport StringInfo* HexStringToStringInfo | ( | const char * | string | ) |

References AcquireStringInfo(), _StringInfo::datum, GetWizardModule, _StringInfo::length, LogWizardEvent(), ResetWizardMemory(), StringDomain, TraceEvent, and WizardAssert.

WizardExport int LocaleCompare | ( | const char * | p,
|  | const char * | q |
| ) |  |  |

References AsciiMap, and strcasecmp.

Referenced by CompareSplayTreeString(), GetLogInfo(), GlobExpression(), IsWizardTrue(), ListLogInfo(), LoadLogList(), LogCompare(), LogInfoCompare(), OpenBlob(), ParseWizardOption(), RelinquishUniqueFileResource(), ThrowException(), and TranslateEvent().

WizardExport void LocaleLower | ( | char * | string | ) |

Referenced by WizardToMime().

WizardExport int LocaleNCompare | ( | const char * | p,
|  | const char * | q,
|  | const size_t | length |
| ) |  |  |

References AsciiMap, and strncasecmp.

Referenced by GetWizardToken(), LoadLogList(), OpenBlob(), and ParseLogHandlers().

WizardExport void PrintStringInfo | ( | FILE * | file,
|  | const char * | id,
|  | const StringInfo * | string_info |
| ) |  |  |

References _StringInfo::datum, GetWizardModule, _StringInfo::length, LogWizardEvent(), PrintWizardString(), _StringInfo::signature, StringDomain, TraceEvent, WizardAssert, and WizardSignature.

WizardExport ssize_t PrintWizardString | ( | FILE * | file,
|  | const char * | format,
|  |  | ... |
| ) |  |  |

References FormatWizardStringList(), and WizardPathExtent.

Referenced by GetPassphrase(), and PrintStringInfo().

WizardExport void ResetStringInfo | ( | StringInfo * | string_info | ) |

References _StringInfo::datum, GetWizardModule, _StringInfo::length, LogWizardEvent(), ResetWizardMemory(), _StringInfo::signature, StringDomain, TraceEvent, WizardAssert, and WizardSignature.

Referenced by AcquireHashInfo(), AcquireRandomInfo(), GenerateCipherNonce(), InitializeHMAC(), and ResetCipherNonce().

WizardExport void SetStringInfo | ( | StringInfo * | string_info,
|  | const StringInfo * | source |
| ) |  |  |

References _StringInfo::datum, GetWizardModule, _StringInfo::length, LogWizardEvent(), ResetWizardMemory(), _StringInfo::signature, StringDomain, TraceEvent, WizardAssert, WizardMin(), and WizardSignature.

Referenced by AcquireRandomInfo(), FinalizeHash(), FinalizeHMAC(), InitializeHMAC(), SetCipherNonce(), SetRandomKey(), and SplitStringInfo().

WizardExport void SetStringInfoDatum | ( | StringInfo * | string_info,
|  | const unsigned char * | source |
| ) |  |  |

References _StringInfo::datum, GetWizardModule, _StringInfo::length, LogWizardEvent(), _StringInfo::signature, StringDomain, TraceEvent, WizardAssert, and WizardSignature.

Referenced by AcquireRandomInfo(), GenerateEntropicChaos(), GetWizardMagick(), StringToStringInfo(), UpdateSHA1(), UpdateSHA224(), UpdateSHA256(), UpdateSHA384(), and UpdateSHA512().

WizardExport void SetStringInfoLength | ( | StringInfo * | string_info,
|  | const size_t | length |
| ) |  |  |

References AcquireQuantumMemory(), _StringInfo::datum, GetWizardModule, _StringInfo::length, LogWizardEvent(), MaxCipherBlocksize, ResizeQuantumMemory(), ResourceFatalError, _StringInfo::signature, StringDomain, ThrowFatalException, TraceEvent, WizardAssert, and WizardSignature.

Referenced by AcquireRandomInfo(), ConcatenateStringInfo(), GenerateEntropicChaos(), GetPassphrase(), GetPhrase(), IncreaseBZIP(), IncreaseLZMA(), IncreaseZIP(), RestoreBZIP(), RestoreLZMA(), RestoreZIP(), and SplitStringInfo().

WizardExport void SetStringInfoPath | ( | StringInfo * | string_info,
|  | const char * | path |
| ) |  |  |

References CopyWizardString(), GetWizardModule, LogWizardEvent(), WizardPathExtent, _StringInfo::path, _StringInfo::signature, StringDomain, TraceEvent, WizardAssert, and WizardSignature.

Referenced by GetConfigureOptions().

WizardExport StringInfo* SplitStringInfo | ( | StringInfo * | string_info,
|  | const size_t | offset |
| ) |  |  |

References AcquireStringInfo(), _StringInfo::datum, GetWizardModule, _StringInfo::length, LogWizardEvent(), MaxCipherBlocksize, SetStringInfo(), SetStringInfoLength(), _StringInfo::signature, StringDomain, TraceEvent, WizardAssert, and WizardSignature.

WizardExport char* StringInfoToHexString | ( | const StringInfo * | string_info | ) |

References AcquireQuantumMemory(), _StringInfo::datum, _StringInfo::length, WizardPathExtent, ResourceFatalError, and ThrowFatalException.

Referenced by ImportKeyringKey(), and PrintKeyringProperties().

WizardExport char* StringInfoToString | ( | const StringInfo * | string_info | ) |

References AcquireQuantumMemory(), _StringInfo::datum, _StringInfo::length, and WizardPathExtent.

WizardExport char** StringToArgv | ( | const char * | text,
|  | int * | argc |
| ) |  |  |

References AcquireQuantumMemory(), WizardPathExtent, RelinquishWizardMemory(), ResourceFatalError, StringFatalError, and ThrowFatalException.

WizardExport StringInfo* StringToStringInfo | ( | const char * | string | ) |

References AcquireStringInfo(), GetWizardModule, LogWizardEvent(), SetStringInfoDatum(), StringDomain, TraceEvent, and WizardAssert.

Referenced by GenerateEntropicChaos(), GetConfigureOptions(), and HashStringType().

WizardExport void StripString | ( | char * | message | ) |

WizardExport WizardBooleanType SubstituteString | ( | char ** | string,
|  | const char * | search,
|  | const char * | replace |
| ) |  |  |

References CopyWizardMemory(), WizardPathExtent, ResizeQuantumMemory(), ResourceFatalError, and ThrowFatalException.

Referenced by LoadMimeList().

static size_t WizardMin | ( | const size_t | x,
|  | const size_t | y |
| ) |  |  | `[inline, static]`

Referenced by CompareStringInfo(), ConfigureFileToStringInfo(), and SetStringInfo().

## Variable Documentation

const unsigned char AsciiMap[]`[static]`

Initial value:

      {
        0x00, 0x01, 0x02, 0x03, 0x04, 0x05, 0x06, 0x07, 0x08, 0x09, 0x0a, 0x0b,
        0x0c, 0x0d, 0x0e, 0x0f, 0x10, 0x11, 0x12, 0x13, 0x14, 0x15, 0x16, 0x17,
        0x18, 0x19, 0x1a, 0x1b, 0x1c, 0x1d, 0x1e, 0x1f, 0x20, 0x21, 0x22, 0x23,
        0x24, 0x25, 0x26, 0x27, 0x28, 0x29, 0x2a, 0x2b, 0x2c, 0x2d, 0x2e, 0x2f,
        0x30, 0x31, 0x32, 0x33, 0x34, 0x35, 0x36, 0x37, 0x38, 0x39, 0x3a, 0x3b,
        0x3c, 0x3d, 0x3e, 0x3f, 0x40, 0x61, 0x62, 0x63, 0x64, 0x65, 0x66, 0x67,
        0x68, 0x69, 0x6a, 0x6b, 0x6c, 0x6d, 0x6e, 0x6f, 0x70, 0x71, 0x72, 0x73,
        0x74, 0x75, 0x76, 0x77, 0x78, 0x79, 0x7a, 0x5b, 0x5c, 0x5d, 0x5e, 0x5f,
        0x60, 0x61, 0x62, 0x63, 0x64, 0x65, 0x66, 0x67, 0x68, 0x69, 0x6a, 0x6b,
        0x6c, 0x6d, 0x6e, 0x6f, 0x70, 0x71, 0x72, 0x73, 0x74, 0x75, 0x76, 0x77,
        0x78, 0x79, 0x7a, 0x7b, 0x7c, 0x7d, 0x7e, 0x7f, 0x80, 0x81, 0x82, 0x83,
        0x84, 0x85, 0x86, 0x87, 0x88, 0x89, 0x8a, 0x8b, 0x8c, 0x8d, 0x8e, 0x8f,
        0x90, 0x91, 0x92, 0x93, 0x94, 0x95, 0x96, 0x97, 0x98, 0x99, 0x9a, 0x9b,
        0x9c, 0x9d, 0x9e, 0x9f, 0xa0, 0xa1, 0xa2, 0xa3, 0xa4, 0xa5, 0xa6, 0xa7,
        0xa8, 0xa9, 0xaa, 0xab, 0xac, 0xad, 0xae, 0xaf, 0xb0, 0xb1, 0xb2, 0xb3,
        0xb4, 0xb5, 0xb6, 0xb7, 0xb8, 0xb9, 0xba, 0xbb, 0xbc, 0xbd, 0xbe, 0xbf,
        0xc0, 0xe1, 0xe2, 0xe3, 0xe4, 0xc5, 0xe6, 0xe7, 0xe8, 0xe9, 0xea, 0xeb,
        0xec, 0xed, 0xee, 0xef, 0xf0, 0xf1, 0xf2, 0xf3, 0xf4, 0xf5, 0xf6, 0xf7,
        0xf8, 0xf9, 0xfa, 0xdb, 0xdc, 0xdd, 0xde, 0xdf, 0xe0, 0xe1, 0xe2, 0xe3,
        0xe4, 0xe5, 0xe6, 0xe7, 0xe8, 0xe9, 0xea, 0xeb, 0xec, 0xed, 0xee, 0xef,
        0xf0, 0xf1, 0xf2, 0xf3, 0xf4, 0xf5, 0xf6, 0xf7, 0xf8, 0xf9, 0xfa, 0xfb,
        0xfc, 0xfd, 0xfe, 0xff,
      }

Referenced by LocaleCompare(), and LocaleNCompare().